#include <gui/cpw/colors_globals.hpp>

ColorProperties	g_standardColors[]	=
{
	{ "Black", QColor(0, 0, 0) },
	{ "Drak Gray 4", QColor(17, 17, 17) },
	{ "Drak Gray 3", QColor(28, 28, 28) },
	{ "Drak Gray 2", QColor(51, 51, 51) },
	{ "Drak Gray 1", QColor(102, 102, 102) },
	{ "Gray", QColor(128, 128, 128) },
	{ "Light Gray 1", QColor(153, 153, 153) },
	{ "Light Gray 2", QColor(178, 178, 178) },
	{ "Light Gray 3", QColor(204, 204, 204) },
	{ "Light Gray 4", QColor(221, 221, 221) },
	{ "Light Gray 5", QColor(238, 238, 238) },
	{ "White", QColor(255, 255, 255) },
	{ "Yellow", QColor(255, 255, 0) },
	{ "Gold", QColor(255, 190, 0) },
	{ "Orange", QColor(255, 127, 0) },
	{ "Brick", QColor(255, 64, 1) },
	{ "Red", QColor(254, 0, 0) },
	{ "Magenta", QColor(191, 1, 65) },
	{ "Purple", QColor(129, 0, 127) },
	{ "Indigo", QColor(85, 48, 141) },
	{ "Blue", QColor(41, 96, 153) },
	{ "Teal", QColor(21, 131, 102) },
	{ "Green", QColor(0, 169, 52) },
	{ "Lime", QColor(130, 212, 26) },
	{ "Light Yellow 4", QColor(254, 254, 216) },
	{ "Light Gold 4", QColor(255, 245, 209) },
	{ "Light Orange 4", QColor(255, 221, 183) },
	{ "Light Brick 4", QColor(255, 219, 207) },
	{ "Light Red 4", QColor(255, 217, 216) },
	{ "Light Magenta 4", QColor(248, 209, 214) },
	{ "Light Purple 4", QColor(225, 193, 204) },
	{ "Light Indigo 4", QColor(222, 220, 231) },
	{ "Light Blue 4", QColor(222, 230, 241) },
	{ "Light Teal 4", QColor(222, 231, 230) },
	{ "Light Green 4", QColor(221, 232, 202) },
	{ "Light Lime 4", QColor(247, 249, 212) },
	{ "Light Yellow 3", QColor(255, 255, 165) },
	{ "Light Gold 3", QColor(255, 233, 148) },
	{ "Light Orange 3", QColor(255, 181, 108) },
	{ "Light Brick 3", QColor(255, 170, 149) },
	{ "Light Red 3", QColor(255, 167, 166) },
	{ "Light Magenta 3", QColor(236, 155, 164) },
	{ "Light Purple 3", QColor(192, 129, 158) },
	{ "Light Indigo 3", QColor(183, 179, 202) },
	{ "Light Blue 3", QColor(181, 199, 223) },
	{ "Light Teal 3", QColor(180, 202, 199) },
	{ "Light Green 3", QColor(174, 208, 148) },
	{ "Light Lime 3", QColor(233, 242, 161) },
	{ "Light Yellow 2", QColor(255, 255, 109) },
	{ "Light Gold 2", QColor(255, 222, 89) },
	{ "Light Orange 2", QColor(254, 152, 44) },
	{ "Light Brick 2", QColor(255, 123, 90) },
	{ "Light Red 2", QColor(255, 109, 109) },
	{ "Light Magenta 2", QColor(224, 97, 114) },
	{ "Light Purple 2", QColor(161, 70, 127) },
	{ "Light Indigo 2", QColor(142, 134, 175) },
	{ "Light Blue 2", QColor(115, 159, 208) },
	{ "Light Teal 2", QColor(130, 171, 165) },
	{ "Light Green 2", QColor(119, 187, 100) },
	{ "Light Lime 2", QColor(212, 234, 107) },
	{ "Light Yellow 1", QColor(254, 255, 55) },
	{ "Light Gold 1", QColor(254, 212, 40) },
	{ "Light Orange 1", QColor(254, 134, 12) },
	{ "Light Brick 1", QColor(255, 84, 41) },
	{ "Light Red 1", QColor(255, 57, 56) },
	{ "Light Magenta 1", QColor(214, 46, 79) },
	{ "Light Purple 1", QColor(142, 29, 117) },
	{ "Light Indigo 1", QColor(108, 94, 155) },
	{ "Light Blue 1", QColor(89, 132, 177) },
	{ "Light Teal 1", QColor(80, 147, 138) },
	{ "Light Green 1", QColor(64, 175, 70) },
	{ "Light Lime 1", QColor(186, 227, 61) },
	{ "Dark Yellow 1", QColor(230, 233, 6) },
	{ "Dark Gold 1", QColor(232, 162, 2) },
	{ "Dark Orange 1", QColor(234, 117, 1) },
	{ "Dark Brick 1", QColor(237, 76, 6) },
	{ "Dark Red 1", QColor(241, 13, 12) },
	{ "Dark Magenta 1", QColor(167, 8, 75) },
	{ "Dark Purple 1", QColor(120, 4, 115) },
	{ "Dark Indigo 1", QColor(91, 39, 124) },
	{ "Dark Blue 1", QColor(52, 102, 165) },
	{ "Dark Teal 1", QColor(22, 129, 83) },
	{ "Dark Green 1", QColor(6, 153, 46) },
	{ "Dark Lime 1", QColor(94, 185, 30) },
	{ "Dark Yellow 2", QColor(171, 178, 12) },
	{ "Dark Gold 2", QColor(180, 121, 5) },
	{ "Dark Orange 2", QColor(183, 92, 0) },
	{ "Dark Brick 2", QColor(190, 72, 10) },
	{ "Dark Red 2", QColor(201, 33, 30) },
	{ "Dark Magenta 2", QColor(134, 16, 64) },
	{ "Dark Purple 2", QColor(100, 9, 79) },
	{ "Dark Indigo 2", QColor(83, 34, 89) },
	{ "Dark Blue 2", QColor(54, 82, 104) },
	{ "Dark Teal 2", QColor(30, 106, 57) },
	{ "Dark Green 2", QColor(18, 117, 34) },
	{ "Dark Lime 2", QColor(70, 138, 25) },
	{ "Dark Yellow 3", QColor(112, 109, 12) },
	{ "Dark Gold 3", QColor(119, 75, 4) },
	{ "Dark Orange 3", QColor(123, 61, 0) },
	{ "Dark Brick 3", QColor(129, 55, 10) },
	{ "Dark Red 3", QColor(141, 40, 30) },
	{ "Dark Magenta 3", QColor(97, 22, 42) },
	{ "Dark Purple 3", QColor(79, 16, 45) },
	{ "Dark Indigo 3", QColor(71, 29, 49) },
	{ "Dark Blue 3", QColor(56, 60, 59) },
	{ "Dark Teal 3", QColor(40, 71, 30) },
	{ "Dark Green 3", QColor(34, 75, 17) },
	{ "Dark Lime 3", QColor(58, 85, 18) },
	{ "Dark Yellow 4", QColor(68, 50, 4) },
	{ "Dark Gold 4", QColor(71, 39, 1) },
	{ "Dark Orange 4", QColor(73, 35, 0) },
	{ "Dark Brick 4", QColor(75, 34, 4) },
	{ "Dark Red 4", QColor(80, 32, 12) },
	{ "Dark Magenta 4", QColor(64, 26, 13) },
	{ "Dark Purple 4", QColor(59, 22, 14) },
	{ "Dark Indigo 4", QColor(58, 26, 15) },
	{ "Dark Blue 4", QColor(53, 36, 18) },
	{ "Dark Teal 4", QColor(48, 39, 8) },
	{ "Dark Green 4", QColor(47, 38, 5) },
	{ "Dark Lime 4", QColor(52, 42, 7) },
};

size_t	g_numStandardColors	= sizeof(g_standardColors) / sizeof(ColorProperties);
